/**
 * jRjRAJEg API
 * 
 * @author binzume <kawahira__binzume.net>
 */
package net.binzume.android.nicoplayer.api;

import java.util.List;
import org.apache.http.cookie.Cookie;
import android.util.Log;

public class AccountAPI {

//    public static final String API_URL = "https://secure.nicovideo.jp/secure/login?site=niconico";
  public static final String API_URL = "https://secure.nicovideo.jp/secure/login?site=niconico";

    public static NicoSession login(String mail, String passwd) {
        HttpClient client = new HttpClient();
        HttpClient.Params params = new HttpClient.Params();
        params.put("mail", mail);
        params.put("password", passwd);

        if(!client.post(API_URL, params,false)){
            return null;
        }
        Log.d("nicoplayer_api","post ok");

        List<Cookie> cookies = client.getCookies();
        Cookie cookie = null;
        for (int i = 0; i < cookies.size(); i++) {
            if(cookies.get(i).getName().equalsIgnoreCase("user_session")){
                cookie = cookies.get(i);
            }
        }
        if (cookie == null || cookie.getValue().equals("deleted")) {
            return null;
        }

        NicoSession s = new NicoSession();
        s.user_session = cookie.getValue();
        s.history = "";
        s.cookie = cookie;

        String ss[] = s.user_session.split("_");
        if (ss.length>2) {
            s.userId = Long.parseLong(ss[2]);
        }
        
        return s;
    }

}
