package net.binzume.android.nicoplayer;

import android.os.AsyncTask;
import android.util.Log;
import net.binzume.android.nicoplayer.api.*;

public class LoginTask extends AsyncTask <String, Integer, NicoSession> {

    private NicoPlayerTop context;
    public LoginTask(NicoPlayerTop context) {
        this.context = context;
    }

    @Override
    protected NicoSession doInBackground(String... params) {
        Log.d("nicoplayer", "login");
        return AccountAPI.login(params[0],params[1]);
    }

    @Override
    protected void onPostExecute(NicoSession result) {
        if (result == null) {
            Log.d("nicoplayer", "login failed");
        }
        NicoPlayerTop.session = result;
        if (context!=null) {
            ((NicoPlayerTop)context).menu(result);
        }
    }
}
