package net.binzume.android.nicoplayer;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;

import net.binzume.android.nicoplayer.api.MyList;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.AsyncTask;
import android.os.Handler;

public class MyListThumbnailTask extends AsyncTask<MyListAdapter,Integer,Integer>{

    Handler handler;

    public MyListThumbnailTask() {
        handler = new Handler();
    }

    @Override
    protected Integer doInBackground(MyListAdapter... params) {
        final MyListAdapter adapter = params[0];
        MyList mylist = adapter.getMyList();
        
        for (int i=0;i<mylist.items.size();i++) {
            try {
                //Log.d("nicoplayer","thumbnail: "+mylist.items.get(i).thumbnailUrl);
                URL url = new URL(mylist.items.get(i).thumbnailUrl);
                InputStream is = url.openStream();
                final int pos = i;
                final Bitmap bm = BitmapFactory.decodeStream(is);
                is.close();
                handler.post(new Runnable() {
                    @Override
                    public void run() {
                        adapter.setThumbnail(pos, bm);
                    }
                });
            } catch (IOException e) {
            }
        }
        return null;
    }

}
