package net.binzume.android.nicoplayer;

import java.util.HashMap;

import android.content.SharedPreferences;
import android.os.AsyncTask;
import android.preference.PreferenceManager;
import android.util.Log;
import net.binzume.android.nicoplayer.api.*;

public class PlayerVideoInfoTask extends AsyncTask<Object, Integer, HashMap<String, String>> {
    private Player activity;
    public PlayerVideoInfoTask(Player activity) {
        this.activity = activity;
        Log.d("nicoplayer", "ranking");
    }

    @Override
    protected HashMap<String, String> doInBackground(Object... params) {
        HashMap<String, String> result = VideoAPI.getFlv((NicoSession)params[0],(String)params[1]);

        if ("1".equals(result.get("closed"))) {
            // FIXME!
            SharedPreferences sp = PreferenceManager.getDefaultSharedPreferences(activity);
            String mailaddress = sp.getString("mailaddress", "");
            String password = sp.getString("password", "");
            NicoSession s = AccountAPI.login(mailaddress,password);
            if (s!=null) {
                ((NicoSession)params[0]).cookie = s.cookie;
                ((NicoSession)params[0]).userId = s.userId;
                ((NicoSession)params[0]).user_session = s.user_session;
            }
            result = VideoAPI.getFlv((NicoSession)params[0],(String)params[1]);
        }

        return result;
    }

    @Override
    protected void onPostExecute(HashMap<String, String> result) {
        Log.d("nicoplayer", "ranking loaded");
        activity.videoInfo(result);
    }

}
