package net.binzume.android.nicoplayer;

import java.util.List;
import android.os.AsyncTask;
import android.util.Log;
import net.binzume.android.nicoplayer.api.*;

public class TagSearchTask extends AsyncTask<String, Integer, List<VideoInfo>> {
    private VideoListActivity activity;
    public TagSearchTask(VideoListActivity activity) {
        this.activity = activity;
        Log.d("nicoplayer", "tag search");
    }

    @Override
    protected List<VideoInfo> doInBackground(String... params) {
        return SearchAPI.getByTag(params[0]);
    }

    @Override
    protected void onPostExecute(List<VideoInfo> result) {
        Log.d("nicoplayer", "tag search loaded");
        activity.loaded(result);
    }

}
