package net.binzume.android.nicoplayer.proxy;

import android.app.*;
import android.content.Intent;
import android.os.IBinder;

public class SmileVideoProxyService extends Service {
    private SmilevideoProxyThread mProxyThread;

    public SmileVideoProxyService() {
    }

    @Override
    public void onStart(Intent intent, int startId) {
        if ("stop".equals(intent.getAction())) {
            if (mProxyThread != null) {
                mProxyThread.interrupt();
                mProxyThread = null;
            }
        } else {
            if (mProxyThread == null) {
                mProxyThread = new SmilevideoProxyThread(null);
                mProxyThread.start();
            }
        }
    }

    @Override
    public IBinder onBind(Intent intent) {
        return null;
    }
}
